curl --request GET \
--url https://api.leadping.ai/conversations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/conversations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/conversations/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/conversations/{id}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/conversations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/conversations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"isDemo": true,
"id": "<string>",
"leadId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"lastSnippet": "<string>",
"lastEventAt": "2023-11-07T05:31:56Z",
"eventVersion": 123,
"lastEventIsInternalNote": true,
"status": "needs_reply",
"statusReason": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archiveReason": 0,
"isArchived": true,
"currentLeadStatus": {
"revision": 123,
"followUpCompletedAt": "2023-11-07T05:31:56Z",
"followUpDueAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"category": "Open",
"outcome": "<string>",
"displayName": "<string>",
"changedAt": "2023-11-07T05:31:56Z",
"changedByUserId": "<string>",
"changedByAutomationId": "<string>",
"source": "User"
},
"nextStep": "<string>",
"isUnread": true,
"phoneNumber": {
"id": "<string>",
"name": "<string>",
"value": "<string>"
},
"leadPhoneNumber": "<string>",
"outboundPhoneNumberOverrideId": "<string>",
"activeOutboundPhoneNumberId": "<string>"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get an accessible inbox conversation and its current event version.
Returns a conversation accessible to the current user, including its current event version for tracking inbox updates.
curl --request GET \
--url https://api.leadping.ai/conversations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/conversations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/conversations/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/conversations/{id}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/conversations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/conversations/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/conversations/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"isDemo": true,
"id": "<string>",
"leadId": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"lastSnippet": "<string>",
"lastEventAt": "2023-11-07T05:31:56Z",
"eventVersion": 123,
"lastEventIsInternalNote": true,
"status": "needs_reply",
"statusReason": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archiveReason": 0,
"isArchived": true,
"currentLeadStatus": {
"revision": 123,
"followUpCompletedAt": "2023-11-07T05:31:56Z",
"followUpDueAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"category": "Open",
"outcome": "<string>",
"displayName": "<string>",
"changedAt": "2023-11-07T05:31:56Z",
"changedByUserId": "<string>",
"changedByAutomationId": "<string>",
"source": "User"
},
"nextStep": "<string>",
"isUnread": true,
"phoneNumber": {
"id": "<string>",
"name": "<string>",
"value": "<string>"
},
"leadPhoneNumber": "<string>",
"outboundPhoneNumberOverrideId": "<string>",
"activeOutboundPhoneNumberId": "<string>"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The ID of the conversation to retrieve.
Response
OK
Describes conversation data returned by Leadping.
Unique Leadping identifier for this conversation response.
Lead ID associated with this inbox conversation.
First name of the lead, user, or contact represented by this conversation response.
Last name of the lead, user, or contact represented by this conversation response.
Email address used to resolve the lead's avatar when available.
Optional profile image URL explicitly associated with the lead.
Most recent message preview shown for the conversation.
UTC timestamp when the most recent conversation event occurred.
Monotonic event boundary. Mark-read requests must send the version the reader observed.
Indicates that the most recent conversation activity is an internal note.
Defines the customer-facing operational status for an inbox conversation.
needs_reply, waiting, failed, open Human-readable reason explaining the current status of this conversation response.
UTC timestamp when this record was archived.
Defines why a lead was removed from the active working pipeline.
0, 1, 2, 3, 4, 5, 6, 7, 8, 9 Indicates whether the Leadping conversation has been archived.
Summary schema for Leadping API current lead status change summary data used in dashboards and reports.
Show child attributes
Show child attributes
Recommended next step to move this conversation response forward.
Indicates whether the current user has unread activity in the conversation.
Extends an identifier-and-name resource reference with an optional string value used for display or selection metadata.
Show child attributes
Show child attributes
Lead's phone number used for conversation matching and outreach.
Phone number ID manually chosen to override automatic outbound selection.
Phone number ID currently active for outbound delivery.

